# -*- coding: utf-8 -*-
from odoo.upgrade import util


def migrate(cr, version):
    # now a standard field
    cr.execute(
        """
            UPDATE hr_employee
               SET private_car_plate = private_vehicle_plate
             WHERE private_vehicle_plate IS NOT NULL
        """
    )
    util.update_field_references(cr, "private_vehicle_plate", "private_car_plate", only_models=("hr.employee",))
    util.remove_field(cr, "hr.employee", "private_vehicle_plate")
    util.remove_view(cr, "openerp_enterprise.hr_employee_search_custom")

    with util.edit_view(cr, view_id=16801) as arch:
        for node in arch.xpath('//xpath[@expr="//button[@name=\'check_status\']/.."]'):
            node.attrib['expr'] = "//button[@name='check_ocr_status']/.."

    with util.edit_view(cr, view_id=9745) as arch:
        for node in arch.xpath('//group[@string="Timesheets"]'):
            node.getparent().remove(node)

